Loading...
Searching...
No Matches
acd Struct Reference

`#include <acd.h>`

## Data Fields

struct acd * | next
ip4_addr_t | ipaddr
acd_state_enum_t | state
u8_t | sent_num
u16_t | ttw
u8_t | lastconflict
u8_t | num_conflicts
acd_conflict_callback_t | acd_conflict_callback

## Detailed Description

ACD state information per netif

## Field Documentation

## acd_conflict_callback

acd_conflict_callback_t acd::acd_conflict_callback

callback function -> let's the acd user know if the address is good or if a conflict is detected

## ipaddr

ip4_addr_t acd::ipaddr

the currently selected, probed, announced or used IP-Address

## lastconflict

u8_t acd::lastconflict

ticks until a conflict can again be solved by defending

## next

struct acd* acd::next

next acd module

## num_conflicts

u8_t acd::num_conflicts

total number of probed/used IP-Addresses that resulted in a conflict

## sent_num

u8_t acd::sent_num

sent number of probes or announces, dependent on state

## state

acd_state_enum_t acd::state

current ACD state machine state

## ttw

u16_t acd::ttw

ticks to wait, tick is ACD_TMR_INTERVAL long

The documentation for this struct was generated from the following file:

- src/include/lwip/acd.h